> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create platform API key



## OpenAPI

````yaml api-reference/openapi.account.json POST /user/platform-keys
openapi: 3.1.0
info:
  title: Aether Account & Integrations API
  version: 0.1.0
  description: >-
    Account, billing, and integration-management endpoints used by the Aether
    web app and CLI. Root-mounted; NOT part of the versioned /v1 contract.
servers:
  - url: https://api.runaether.dev
security:
  - bearerAuth: []
paths:
  /user/platform-keys:
    post:
      tags:
        - platform-keys
      summary: Create platform API key
      operationId: createPlatformKey
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePlatformKeyRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatePlatformKeyResponse'
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    CreatePlatformKeyRequest:
      additionalProperties: false
      properties:
        name:
          maxLength: 100
          minLength: 1
          pattern: \S
          type: string
      required:
        - name
      type: object
    CreatePlatformKeyResponse:
      additionalProperties: false
      properties:
        created_at:
          format: date-time
          type: string
        id:
          minLength: 1
          type: string
        key:
          minLength: 1
          type: string
        last_used_at:
          format: date-time
          type:
            - string
            - 'null'
        name:
          minLength: 1
          type: string
        prefix:
          minLength: 1
          type: string
        revoked_at:
          format: date-time
          type:
            - string
            - 'null'
        user_id:
          minLength: 1
          type: string
      required:
        - key
        - id
        - user_id
        - name
        - prefix
        - created_at
        - last_used_at
        - revoked_at
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````